This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 533417 - libparted needs to be extended to report maximum partition size and maximum start sector value
libparted needs to be extended to report maximum partition size and maximum s...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 533415
  Show dependency treegraph
 
Reported: 2009-11-06 12:04 EST by Hans de Goede
Modified: 2009-12-18 05:16 EST (History)
2 users (show)

See Also:
Fixed In Version: parted-1.9.0-24.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 05:16:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2009-11-06 12:04:13 EST
Description of problem:
With > 1TB disks becoming available, the msdos maximum partition size of 1TB is
becoming a problem.

In order for anaconda to properly restrict the size of partitions it creates on
msdos disklabels, it needs to be able to query libparted for the maximum
partition size.
Comment 1 Bug Zapper 2009-11-16 10:14:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Hans de Goede 2009-12-18 05:16:36 EST
Fixed in parted-1.9.0-24.fc13 / upstream 2.1, I'll send patches to the pyparted mailing list adding pyparted support for these shortly.

Note You need to log in before you can comment on or make changes to this bug.